Create Encoding Job
Add a file encoding job.
curl -X POST "https://api.5centscdn.com/v2/transcoding/jobs/7" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY" \
-d '{
"file": "/uploads/source_clip.mp4",
"priority": 0,
"map": "0:v:0 0:a:0 0:s:0"
}'
import requests
import json
url = "https://api.5centscdn.com/v2/transcoding/jobs/7"
headers = {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
data = {
"file": "/uploads/source_clip.mp4",
"priority": 0,
"map": "0:v:0 0:a:0 0:s:0"
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.5centscdn.com/v2/transcoding/jobs/7", {
method: "POST",
headers: {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
},
body: JSON.stringify({
"file": "/uploads/source_clip.mp4",
"priority": 0,
"map": "0:v:0 0:a:0 0:s:0"
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"file": "/uploads/source_clip.mp4",
"priority": 0,
"map": "0:v:0 0:a:0 0:s:0"
}`)
req, err := http.NewRequest("POST", "https://api.5centscdn.com/v2/transcoding/jobs/7", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.5centscdn.com/v2/transcoding/jobs/7')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-Key'] = 'YOUR_API_KEY'
request.body = '{
"file": "/uploads/source_clip.mp4",
"priority": 0,
"map": "0:v:0 0:a:0 0:s:0"
}'
response = http.request(request)
puts response.body
{
"result": "example_string",
"jobid": 123,
"message": "example_string"
}
POST
/transcoding/jobs/{profileid}POST
Base URLstring
Target server for requests. Edit to use your own host.
API Key (header: X-API-Key)
X-API-Keystring
RequiredAPI key (sent in header)
path
profileidinteger
RequiredID of the Transcode Profile (fs_transcodeprofiles.id).
Content-Typestring
RequiredThe media type of the request body
Options: application/json
filestring
Input file relative path.
priorityinteger
Encode job priority. 0 = High, 100 = Lowest.
mapstring
Video/Audio/Subtitle stream selection from input source. Passed as a string value to the encoder.
Request Preview
Response
Response will appear here after sending the request
Authentication
header
X-API-Keystring
RequiredAPI Key for authentication. Provide your API key in the header.
Path Parameters
Body
application/json
mapstring
Video/Audio/Subtitle stream selection from input source. Passed as a string value to the encoder.
Example:
0:v:0 0:a:0 0:s:0Responses
resultstring
success/error
jobidinteger
Video encoding job ID.
messagestring
Error message, only present if an error occurs.
Was this page helpful?